Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:       nodejs-eyes
Version:    0.1.8
Release:    alt1_12
Summary:    A customizable value inspector for Node.js
License:    MIT
URL:        https://github.com/cloudhead/eyes.js
Source0:    http://registry.npmjs.org/eyes/-/eyes-%{version}.tgz

BuildArch:  noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info

%description
%{summary}


%prep
%setup -q -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/eyes
cp -pr package.json lib/ \
    %{buildroot}%{nodejs_sitelib}/eyes

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%__nodejs test/*-test.js
%endif


%files
%doc LICENSE README.md
%{nodejs_sitelib}/eyes


%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.1.8-alt1_12
- fc update

* Mon Aug 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.8-alt1_4
- fc import

* Sun Jul 28 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.8-alt1_3
- fc import

* Sun Jun 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.1.8-alt1_1
- initial import

